XFcGLDeviceInfo class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcGLDeviceInfo Class Reference

Information on a display device installed on system. More...

List of all members.

## Public Attributes

XFcGLDeviceInfo * | mNext
| Link to the next device, or NULL if this was last.
UINT32 | mDeviceId
| Unique id for this device.
UINT32 | mDeviceWidth
| Width of screen on this device.
UINT32 | mDeviceHeight
| Height of screen on this device.
UINT32 | mDevicePixelFormat
| Device's pixel format.
UINT32 | mRenderFeatures
| Bit flags on supported features.
UINT32 | mBlendModes
| Bit flags on supported blending modes.
UINT32 | mAcceleratedFeatures
| Bit flags on which features are faster than reference.
UINT32 | mAcceleratedBlendModes
| Bit flags on which blend modes are faster than reference.
INT32 | mPreferabilityScore
| Preferability score for this device.
const CHAR * | mPrintableName
| Printable name for this device.

## Detailed Description

Information on a display device installed on system.

## Member Data Documentation

UINT32 XFcGLDeviceInfo::mAcceleratedBlendModes

Bit flags on which blend modes are faster than reference.

See also:
  XFCGLDIBLENDFLAGS

UINT32 XFcGLDeviceInfo::mAcceleratedFeatures

Bit flags on which features are faster than reference.

See also:
  XFCGLDIFEATUREFLAGS

UINT32 XFcGLDeviceInfo::mBlendModes

Bit flags on supported blending modes.

See also:
  XFCGLDIBLENDFLAGS

UINT32 XFcGLDeviceInfo::mDeviceHeight

Height of screen on this device.

Note:
  May be different than physical screen due to memory limitations or FSAA.

UINT32 XFcGLDeviceInfo::mDeviceId

| Unique id for this device.

UINT32 XFcGLDeviceInfo::mDevicePixelFormat

| Device's pixel format.

UINT32 XFcGLDeviceInfo::mDeviceWidth

Width of screen on this device.

Note:
  May be different than physical screen due to memory limitations or FSAA.

XFcGLDeviceInfo* XFcGLDeviceInfo::mNext

| Link to the next device, or NULL if this was last.

INT32 XFcGLDeviceInfo::mPreferabilityScore

Preferability score for this device.

- 0 = reference driver
- > 0 = accelerated
- < 0 = FSAA devices etc.

const CHAR* XFcGLDeviceInfo::mPrintableName

| Printable name for this device.

UINT32 XFcGLDeviceInfo::mRenderFeatures

Bit flags on supported features.

See also:
  XFCGLDIFEATUREFLAGS

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch